AllCops:
  Exclude:
    - vendor/**/*
    - templates/default/etc/opscode/chef-server.rb

AlignParameters:
  Enabled: false
LineLength:
  Enabled: false
Lint/LiteralInCondition:
  Enabled: false
Lint/UnusedBlockArgument:
  Enabled: false
Metrics/AbcSize:
  Enabled: false
Metrics/CyclomaticComplexity:
  Enabled: false
Metrics/PerceivedComplexity:
  Enabled: false
Style/BlockComments:
  Enabled: false
Style/BlockDelimiters:
  Enabled: false
Style/ExtraSpacing:
  Enabled: false
Style/EmptyCaseCondition:
  Enabled: false
Style/FileName:
  Enabled: false
Style/LeadingCommentSpace:
  Enabled: false
Style/RescueModifier:
  Enabled: false
Style/SpaceBeforeFirstArg:
  Enabled: false
Style/SpaceInsideBlockBraces:
  Enabled: false
Style/SpaceInsidePercentLiteralDelimiters:
  Enabled: false
Style/TrailingCommaInLiteral:
  EnforcedStyleForMultiline: consistent_comma
Style/WordArray:
  Enabled: false
  
#Style/AccessorMethodName:
#  Enabled: false
Metrics/MethodLength:
  Max: 200
Metrics/ModuleLength:
  Max: 200
